#include <iostream>
#include <bits/stdc++.h> 
using namespace std;

int main() {
	int n,k,polja[10000];
	int a[10000],b[10000];
	
	cin>>n>>k;   //ulaz
	for(int i=0;i<n;i++)
	cin>>a[i];
	
	int x=0; 
	int s=0;
	for(int i=0;i<n;i++){
		for(int j=0;j<n;j++){
			if(a[i]==a[j]) x++;
			if(x==k){
				b[s]=a[i];
				s++;
				x=0;
			}
		}
		x=0;
	}
	int broj=0;
	
	for(int i=0;i<s;i++)
	broj++;

	
	cout<<broj/2<<endl;
	
    int i; 
    set<int> f; 
  
    for(i=0;i<n;i++) { 
        f.insert(b[i]); 
    } 
    set<int>::iterator it; 
  
    for (it=f.begin();it!=f.end();it++) 
        cout<<*it<<" "; 


	return 0;
}